Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network170.78.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
170.78.0.0
Broadcast address
170.79.255.255
First usable
170.78.0.1
Last usable
170.79.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex AA4E0000 · Integer 2857238528 to 2857369599
Reverse DNS zones
78.170.in-addr.arpa
79.170.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101010.01001110.00000000.00000000170.78.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10101010.01001110.00000000.00000000170.78.0.0
Broadcast10101010.01001111.11111111.11111111170.79.255.255
Split into smaller subnets/24

170.78.0.0/15 makes 512 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1170.78.0.0/24170.78.0.1 to 170.78.0.254170.78.0.255254
2170.78.1.0/24170.78.1.1 to 170.78.1.254170.78.1.255254
3170.78.2.0/24170.78.2.1 to 170.78.2.254170.78.2.255254
4170.78.3.0/24170.78.3.1 to 170.78.3.254170.78.3.255254
5170.78.4.0/24170.78.4.1 to 170.78.4.254170.78.4.255254
6170.78.5.0/24170.78.5.1 to 170.78.5.254170.78.5.255254
7170.78.6.0/24170.78.6.1 to 170.78.6.254170.78.6.255254
8170.78.7.0/24170.78.7.1 to 170.78.7.254170.78.7.255254
9170.78.8.0/24170.78.8.1 to 170.78.8.254170.78.8.255254
10170.78.9.0/24170.78.9.1 to 170.78.9.254170.78.9.255254
11170.78.10.0/24170.78.10.1 to 170.78.10.254170.78.10.255254
12170.78.11.0/24170.78.11.1 to 170.78.11.254170.78.11.255254
13170.78.12.0/24170.78.12.1 to 170.78.12.254170.78.12.255254
14170.78.13.0/24170.78.13.1 to 170.78.13.254170.78.13.255254
15170.78.14.0/24170.78.14.1 to 170.78.14.254170.78.14.255254
16170.78.15.0/24170.78.15.1 to 170.78.15.254170.78.15.255254
17170.78.16.0/24170.78.16.1 to 170.78.16.254170.78.16.255254
18170.78.17.0/24170.78.17.1 to 170.78.17.254170.78.17.255254
19170.78.18.0/24170.78.18.1 to 170.78.18.254170.78.18.255254
20170.78.19.0/24170.78.19.1 to 170.78.19.254170.78.19.255254
21170.78.20.0/24170.78.20.1 to 170.78.20.254170.78.20.255254
22170.78.21.0/24170.78.21.1 to 170.78.21.254170.78.21.255254
23170.78.22.0/24170.78.22.1 to 170.78.22.254170.78.22.255254
24170.78.23.0/24170.78.23.1 to 170.78.23.254170.78.23.255254
25170.78.24.0/24170.78.24.1 to 170.78.24.254170.78.24.255254
26170.78.25.0/24170.78.25.1 to 170.78.25.254170.78.25.255254
27170.78.26.0/24170.78.26.1 to 170.78.26.254170.78.26.255254
28170.78.27.0/24170.78.27.1 to 170.78.27.254170.78.27.255254
29170.78.28.0/24170.78.28.1 to 170.78.28.254170.78.28.255254
30170.78.29.0/24170.78.29.1 to 170.78.29.254170.78.29.255254
31170.78.30.0/24170.78.30.1 to 170.78.30.254170.78.30.255254
32170.78.31.0/24170.78.31.1 to 170.78.31.254170.78.31.255254
33170.78.32.0/24170.78.32.1 to 170.78.32.254170.78.32.255254
34170.78.33.0/24170.78.33.1 to 170.78.33.254170.78.33.255254
35170.78.34.0/24170.78.34.1 to 170.78.34.254170.78.34.255254
36170.78.35.0/24170.78.35.1 to 170.78.35.254170.78.35.255254
37170.78.36.0/24170.78.36.1 to 170.78.36.254170.78.36.255254
38170.78.37.0/24170.78.37.1 to 170.78.37.254170.78.37.255254
39170.78.38.0/24170.78.38.1 to 170.78.38.254170.78.38.255254
40170.78.39.0/24170.78.39.1 to 170.78.39.254170.78.39.255254
41170.78.40.0/24170.78.40.1 to 170.78.40.254170.78.40.255254
42170.78.41.0/24170.78.41.1 to 170.78.41.254170.78.41.255254
43170.78.42.0/24170.78.42.1 to 170.78.42.254170.78.42.255254
44170.78.43.0/24170.78.43.1 to 170.78.43.254170.78.43.255254
45170.78.44.0/24170.78.44.1 to 170.78.44.254170.78.44.255254
46170.78.45.0/24170.78.45.1 to 170.78.45.254170.78.45.255254
47170.78.46.0/24170.78.46.1 to 170.78.46.254170.78.46.255254
48170.78.47.0/24170.78.47.1 to 170.78.47.254170.78.47.255254
49170.78.48.0/24170.78.48.1 to 170.78.48.254170.78.48.255254
50170.78.49.0/24170.78.49.1 to 170.78.49.254170.78.49.255254
51170.78.50.0/24170.78.50.1 to 170.78.50.254170.78.50.255254
52170.78.51.0/24170.78.51.1 to 170.78.51.254170.78.51.255254
53170.78.52.0/24170.78.52.1 to 170.78.52.254170.78.52.255254
54170.78.53.0/24170.78.53.1 to 170.78.53.254170.78.53.255254
55170.78.54.0/24170.78.54.1 to 170.78.54.254170.78.54.255254
56170.78.55.0/24170.78.55.1 to 170.78.55.254170.78.55.255254
57170.78.56.0/24170.78.56.1 to 170.78.56.254170.78.56.255254
58170.78.57.0/24170.78.57.1 to 170.78.57.254170.78.57.255254
59170.78.58.0/24170.78.58.1 to 170.78.58.254170.78.58.255254
60170.78.59.0/24170.78.59.1 to 170.78.59.254170.78.59.255254
61170.78.60.0/24170.78.60.1 to 170.78.60.254170.78.60.255254
62170.78.61.0/24170.78.61.1 to 170.78.61.254170.78.61.255254
63170.78.62.0/24170.78.62.1 to 170.78.62.254170.78.62.255254
64170.78.63.0/24170.78.63.1 to 170.78.63.254170.78.63.255254
65170.78.64.0/24170.78.64.1 to 170.78.64.254170.78.64.255254
66170.78.65.0/24170.78.65.1 to 170.78.65.254170.78.65.255254
67170.78.66.0/24170.78.66.1 to 170.78.66.254170.78.66.255254
68170.78.67.0/24170.78.67.1 to 170.78.67.254170.78.67.255254
69170.78.68.0/24170.78.68.1 to 170.78.68.254170.78.68.255254
70170.78.69.0/24170.78.69.1 to 170.78.69.254170.78.69.255254
71170.78.70.0/24170.78.70.1 to 170.78.70.254170.78.70.255254
72170.78.71.0/24170.78.71.1 to 170.78.71.254170.78.71.255254
73170.78.72.0/24170.78.72.1 to 170.78.72.254170.78.72.255254
74170.78.73.0/24170.78.73.1 to 170.78.73.254170.78.73.255254
75170.78.74.0/24170.78.74.1 to 170.78.74.254170.78.74.255254
76170.78.75.0/24170.78.75.1 to 170.78.75.254170.78.75.255254
77170.78.76.0/24170.78.76.1 to 170.78.76.254170.78.76.255254
78170.78.77.0/24170.78.77.1 to 170.78.77.254170.78.77.255254
79170.78.78.0/24170.78.78.1 to 170.78.78.254170.78.78.255254
80170.78.79.0/24170.78.79.1 to 170.78.79.254170.78.79.255254
81170.78.80.0/24170.78.80.1 to 170.78.80.254170.78.80.255254
82170.78.81.0/24170.78.81.1 to 170.78.81.254170.78.81.255254
83170.78.82.0/24170.78.82.1 to 170.78.82.254170.78.82.255254
84170.78.83.0/24170.78.83.1 to 170.78.83.254170.78.83.255254
85170.78.84.0/24170.78.84.1 to 170.78.84.254170.78.84.255254
86170.78.85.0/24170.78.85.1 to 170.78.85.254170.78.85.255254
87170.78.86.0/24170.78.86.1 to 170.78.86.254170.78.86.255254
88170.78.87.0/24170.78.87.1 to 170.78.87.254170.78.87.255254
89170.78.88.0/24170.78.88.1 to 170.78.88.254170.78.88.255254
90170.78.89.0/24170.78.89.1 to 170.78.89.254170.78.89.255254
91170.78.90.0/24170.78.90.1 to 170.78.90.254170.78.90.255254
92170.78.91.0/24170.78.91.1 to 170.78.91.254170.78.91.255254
93170.78.92.0/24170.78.92.1 to 170.78.92.254170.78.92.255254
94170.78.93.0/24170.78.93.1 to 170.78.93.254170.78.93.255254
95170.78.94.0/24170.78.94.1 to 170.78.94.254170.78.94.255254
96170.78.95.0/24170.78.95.1 to 170.78.95.254170.78.95.255254
97170.78.96.0/24170.78.96.1 to 170.78.96.254170.78.96.255254
98170.78.97.0/24170.78.97.1 to 170.78.97.254170.78.97.255254
99170.78.98.0/24170.78.98.1 to 170.78.98.254170.78.98.255254
100170.78.99.0/24170.78.99.1 to 170.78.99.254170.78.99.255254
101170.78.100.0/24170.78.100.1 to 170.78.100.254170.78.100.255254
102170.78.101.0/24170.78.101.1 to 170.78.101.254170.78.101.255254
103170.78.102.0/24170.78.102.1 to 170.78.102.254170.78.102.255254
104170.78.103.0/24170.78.103.1 to 170.78.103.254170.78.103.255254
105170.78.104.0/24170.78.104.1 to 170.78.104.254170.78.104.255254
106170.78.105.0/24170.78.105.1 to 170.78.105.254170.78.105.255254
107170.78.106.0/24170.78.106.1 to 170.78.106.254170.78.106.255254
108170.78.107.0/24170.78.107.1 to 170.78.107.254170.78.107.255254
109170.78.108.0/24170.78.108.1 to 170.78.108.254170.78.108.255254
110170.78.109.0/24170.78.109.1 to 170.78.109.254170.78.109.255254
111170.78.110.0/24170.78.110.1 to 170.78.110.254170.78.110.255254
112170.78.111.0/24170.78.111.1 to 170.78.111.254170.78.111.255254
113170.78.112.0/24170.78.112.1 to 170.78.112.254170.78.112.255254
114170.78.113.0/24170.78.113.1 to 170.78.113.254170.78.113.255254
115170.78.114.0/24170.78.114.1 to 170.78.114.254170.78.114.255254
116170.78.115.0/24170.78.115.1 to 170.78.115.254170.78.115.255254
117170.78.116.0/24170.78.116.1 to 170.78.116.254170.78.116.255254
118170.78.117.0/24170.78.117.1 to 170.78.117.254170.78.117.255254
119170.78.118.0/24170.78.118.1 to 170.78.118.254170.78.118.255254
120170.78.119.0/24170.78.119.1 to 170.78.119.254170.78.119.255254
121170.78.120.0/24170.78.120.1 to 170.78.120.254170.78.120.255254
122170.78.121.0/24170.78.121.1 to 170.78.121.254170.78.121.255254
123170.78.122.0/24170.78.122.1 to 170.78.122.254170.78.122.255254
124170.78.123.0/24170.78.123.1 to 170.78.123.254170.78.123.255254
125170.78.124.0/24170.78.124.1 to 170.78.124.254170.78.124.255254
126170.78.125.0/24170.78.125.1 to 170.78.125.254170.78.125.255254
127170.78.126.0/24170.78.126.1 to 170.78.126.254170.78.126.255254
128170.78.127.0/24170.78.127.1 to 170.78.127.254170.78.127.255254
129170.78.128.0/24170.78.128.1 to 170.78.128.254170.78.128.255254
130170.78.129.0/24170.78.129.1 to 170.78.129.254170.78.129.255254
131170.78.130.0/24170.78.130.1 to 170.78.130.254170.78.130.255254
132170.78.131.0/24170.78.131.1 to 170.78.131.254170.78.131.255254
133170.78.132.0/24170.78.132.1 to 170.78.132.254170.78.132.255254
134170.78.133.0/24170.78.133.1 to 170.78.133.254170.78.133.255254
135170.78.134.0/24170.78.134.1 to 170.78.134.254170.78.134.255254
136170.78.135.0/24170.78.135.1 to 170.78.135.254170.78.135.255254
137170.78.136.0/24170.78.136.1 to 170.78.136.254170.78.136.255254
138170.78.137.0/24170.78.137.1 to 170.78.137.254170.78.137.255254
139170.78.138.0/24170.78.138.1 to 170.78.138.254170.78.138.255254
140170.78.139.0/24170.78.139.1 to 170.78.139.254170.78.139.255254
141170.78.140.0/24170.78.140.1 to 170.78.140.254170.78.140.255254
142170.78.141.0/24170.78.141.1 to 170.78.141.254170.78.141.255254
143170.78.142.0/24170.78.142.1 to 170.78.142.254170.78.142.255254
144170.78.143.0/24170.78.143.1 to 170.78.143.254170.78.143.255254
145170.78.144.0/24170.78.144.1 to 170.78.144.254170.78.144.255254
146170.78.145.0/24170.78.145.1 to 170.78.145.254170.78.145.255254
147170.78.146.0/24170.78.146.1 to 170.78.146.254170.78.146.255254
148170.78.147.0/24170.78.147.1 to 170.78.147.254170.78.147.255254
149170.78.148.0/24170.78.148.1 to 170.78.148.254170.78.148.255254
150170.78.149.0/24170.78.149.1 to 170.78.149.254170.78.149.255254
151170.78.150.0/24170.78.150.1 to 170.78.150.254170.78.150.255254
152170.78.151.0/24170.78.151.1 to 170.78.151.254170.78.151.255254
153170.78.152.0/24170.78.152.1 to 170.78.152.254170.78.152.255254
154170.78.153.0/24170.78.153.1 to 170.78.153.254170.78.153.255254
155170.78.154.0/24170.78.154.1 to 170.78.154.254170.78.154.255254
156170.78.155.0/24170.78.155.1 to 170.78.155.254170.78.155.255254
157170.78.156.0/24170.78.156.1 to 170.78.156.254170.78.156.255254
158170.78.157.0/24170.78.157.1 to 170.78.157.254170.78.157.255254
159170.78.158.0/24170.78.158.1 to 170.78.158.254170.78.158.255254
160170.78.159.0/24170.78.159.1 to 170.78.159.254170.78.159.255254
161170.78.160.0/24170.78.160.1 to 170.78.160.254170.78.160.255254
162170.78.161.0/24170.78.161.1 to 170.78.161.254170.78.161.255254
163170.78.162.0/24170.78.162.1 to 170.78.162.254170.78.162.255254
164170.78.163.0/24170.78.163.1 to 170.78.163.254170.78.163.255254
165170.78.164.0/24170.78.164.1 to 170.78.164.254170.78.164.255254
166170.78.165.0/24170.78.165.1 to 170.78.165.254170.78.165.255254
167170.78.166.0/24170.78.166.1 to 170.78.166.254170.78.166.255254
168170.78.167.0/24170.78.167.1 to 170.78.167.254170.78.167.255254
169170.78.168.0/24170.78.168.1 to 170.78.168.254170.78.168.255254
170170.78.169.0/24170.78.169.1 to 170.78.169.254170.78.169.255254
171170.78.170.0/24170.78.170.1 to 170.78.170.254170.78.170.255254
172170.78.171.0/24170.78.171.1 to 170.78.171.254170.78.171.255254
173170.78.172.0/24170.78.172.1 to 170.78.172.254170.78.172.255254
174170.78.173.0/24170.78.173.1 to 170.78.173.254170.78.173.255254
175170.78.174.0/24170.78.174.1 to 170.78.174.254170.78.174.255254
176170.78.175.0/24170.78.175.1 to 170.78.175.254170.78.175.255254
177170.78.176.0/24170.78.176.1 to 170.78.176.254170.78.176.255254
178170.78.177.0/24170.78.177.1 to 170.78.177.254170.78.177.255254
179170.78.178.0/24170.78.178.1 to 170.78.178.254170.78.178.255254
180170.78.179.0/24170.78.179.1 to 170.78.179.254170.78.179.255254
181170.78.180.0/24170.78.180.1 to 170.78.180.254170.78.180.255254
182170.78.181.0/24170.78.181.1 to 170.78.181.254170.78.181.255254
183170.78.182.0/24170.78.182.1 to 170.78.182.254170.78.182.255254
184170.78.183.0/24170.78.183.1 to 170.78.183.254170.78.183.255254
185170.78.184.0/24170.78.184.1 to 170.78.184.254170.78.184.255254
186170.78.185.0/24170.78.185.1 to 170.78.185.254170.78.185.255254
187170.78.186.0/24170.78.186.1 to 170.78.186.254170.78.186.255254
188170.78.187.0/24170.78.187.1 to 170.78.187.254170.78.187.255254
189170.78.188.0/24170.78.188.1 to 170.78.188.254170.78.188.255254
190170.78.189.0/24170.78.189.1 to 170.78.189.254170.78.189.255254
191170.78.190.0/24170.78.190.1 to 170.78.190.254170.78.190.255254
192170.78.191.0/24170.78.191.1 to 170.78.191.254170.78.191.255254
193170.78.192.0/24170.78.192.1 to 170.78.192.254170.78.192.255254
194170.78.193.0/24170.78.193.1 to 170.78.193.254170.78.193.255254
195170.78.194.0/24170.78.194.1 to 170.78.194.254170.78.194.255254
196170.78.195.0/24170.78.195.1 to 170.78.195.254170.78.195.255254
197170.78.196.0/24170.78.196.1 to 170.78.196.254170.78.196.255254
198170.78.197.0/24170.78.197.1 to 170.78.197.254170.78.197.255254
199170.78.198.0/24170.78.198.1 to 170.78.198.254170.78.198.255254
200170.78.199.0/24170.78.199.1 to 170.78.199.254170.78.199.255254
201170.78.200.0/24170.78.200.1 to 170.78.200.254170.78.200.255254
202170.78.201.0/24170.78.201.1 to 170.78.201.254170.78.201.255254
203170.78.202.0/24170.78.202.1 to 170.78.202.254170.78.202.255254
204170.78.203.0/24170.78.203.1 to 170.78.203.254170.78.203.255254
205170.78.204.0/24170.78.204.1 to 170.78.204.254170.78.204.255254
206170.78.205.0/24170.78.205.1 to 170.78.205.254170.78.205.255254
207170.78.206.0/24170.78.206.1 to 170.78.206.254170.78.206.255254
208170.78.207.0/24170.78.207.1 to 170.78.207.254170.78.207.255254
209170.78.208.0/24170.78.208.1 to 170.78.208.254170.78.208.255254
210170.78.209.0/24170.78.209.1 to 170.78.209.254170.78.209.255254
211170.78.210.0/24170.78.210.1 to 170.78.210.254170.78.210.255254
212170.78.211.0/24170.78.211.1 to 170.78.211.254170.78.211.255254
213170.78.212.0/24170.78.212.1 to 170.78.212.254170.78.212.255254
214170.78.213.0/24170.78.213.1 to 170.78.213.254170.78.213.255254
215170.78.214.0/24170.78.214.1 to 170.78.214.254170.78.214.255254
216170.78.215.0/24170.78.215.1 to 170.78.215.254170.78.215.255254
217170.78.216.0/24170.78.216.1 to 170.78.216.254170.78.216.255254
218170.78.217.0/24170.78.217.1 to 170.78.217.254170.78.217.255254
219170.78.218.0/24170.78.218.1 to 170.78.218.254170.78.218.255254
220170.78.219.0/24170.78.219.1 to 170.78.219.254170.78.219.255254
221170.78.220.0/24170.78.220.1 to 170.78.220.254170.78.220.255254
222170.78.221.0/24170.78.221.1 to 170.78.221.254170.78.221.255254
223170.78.222.0/24170.78.222.1 to 170.78.222.254170.78.222.255254
224170.78.223.0/24170.78.223.1 to 170.78.223.254170.78.223.255254
225170.78.224.0/24170.78.224.1 to 170.78.224.254170.78.224.255254
226170.78.225.0/24170.78.225.1 to 170.78.225.254170.78.225.255254
227170.78.226.0/24170.78.226.1 to 170.78.226.254170.78.226.255254
228170.78.227.0/24170.78.227.1 to 170.78.227.254170.78.227.255254
229170.78.228.0/24170.78.228.1 to 170.78.228.254170.78.228.255254
230170.78.229.0/24170.78.229.1 to 170.78.229.254170.78.229.255254
231170.78.230.0/24170.78.230.1 to 170.78.230.254170.78.230.255254
232170.78.231.0/24170.78.231.1 to 170.78.231.254170.78.231.255254
233170.78.232.0/24170.78.232.1 to 170.78.232.254170.78.232.255254
234170.78.233.0/24170.78.233.1 to 170.78.233.254170.78.233.255254
235170.78.234.0/24170.78.234.1 to 170.78.234.254170.78.234.255254
236170.78.235.0/24170.78.235.1 to 170.78.235.254170.78.235.255254
237170.78.236.0/24170.78.236.1 to 170.78.236.254170.78.236.255254
238170.78.237.0/24170.78.237.1 to 170.78.237.254170.78.237.255254
239170.78.238.0/24170.78.238.1 to 170.78.238.254170.78.238.255254
240170.78.239.0/24170.78.239.1 to 170.78.239.254170.78.239.255254
241170.78.240.0/24170.78.240.1 to 170.78.240.254170.78.240.255254
242170.78.241.0/24170.78.241.1 to 170.78.241.254170.78.241.255254
243170.78.242.0/24170.78.242.1 to 170.78.242.254170.78.242.255254
244170.78.243.0/24170.78.243.1 to 170.78.243.254170.78.243.255254
245170.78.244.0/24170.78.244.1 to 170.78.244.254170.78.244.255254
246170.78.245.0/24170.78.245.1 to 170.78.245.254170.78.245.255254
247170.78.246.0/24170.78.246.1 to 170.78.246.254170.78.246.255254
248170.78.247.0/24170.78.247.1 to 170.78.247.254170.78.247.255254
249170.78.248.0/24170.78.248.1 to 170.78.248.254170.78.248.255254
250170.78.249.0/24170.78.249.1 to 170.78.249.254170.78.249.255254
251170.78.250.0/24170.78.250.1 to 170.78.250.254170.78.250.255254
252170.78.251.0/24170.78.251.1 to 170.78.251.254170.78.251.255254
253170.78.252.0/24170.78.252.1 to 170.78.252.254170.78.252.255254
254170.78.253.0/24170.78.253.1 to 170.78.253.254170.78.253.255254
255170.78.254.0/24170.78.254.1 to 170.78.254.254170.78.254.255254
256170.78.255.0/24170.78.255.1 to 170.78.255.254170.78.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses